Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	kavi2svcd - a GUI frontend to transcode
Name:      	kavi2svcd
Version:   	0.8.7
Release:   	2
License: 	GNU/GPL
URL:		http://kavi2svcd.sourceforge.net/
Group:     	Multimedia/Video
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	transcode mjpegtools vcdimager
BuildRequires:	qt3-devel kdelibs3-devel kdebase3-devel transcode
BuildConflicts:	qt4-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
kavi2svcd is a GUI frontend to transcode specifically for
creating VCD and SVCD discs

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%prep
%setup -n %{name}

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
%configure \
--with-qt-dir=/usr/lib/qt-3.3
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
#mv $RPM_BUILD_ROOT/usr/local/bin/* $RPM_BUILD_ROOT/opt/kde/bin
#mv $RPM_BUILD_ROOT/usr/bin/* $RPM_BUILD_ROOT/opt/kde/bin
#rm -Rf $RPM_BUILD_ROOT/usr

%files
%defattr(-,root,root)
%_prefix

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 01 2008 Christian Wasem <wasem@ccux-linux.de> 0.8.7-2
- rebuild against kdelibs3 , kdebase3 renamed packages
* Sat Sep 16 2006 Christian Metzen <metzench@ccux-linux.de> 0.8.7-1
- Version update
* Wed Aug 10 2005 Christian Metzen <metzench@ccux-linux.de> 0.8.5-1
- Initial Release